When you attempt to set up a northbound Private Service Connect endpoint for your customer consumer project to an Apigee instance,
the network endpoint group status remains in `Pending` and does not progress to `Accepted`.

## Symptom


The status of the Private Service Connect endpoint is `Pending` in the customer consumer project.

## Error messages


No error message.

The configured Private Service Connect endpoint is stuck in the `Pending` status.

## Possible causes

| Cause | Description |
|---|---|
| The project with the configured Private Service Connect endpoint is not included in the consumer accept list for the Apigee instance. | The project where the Private Service Connect endpoint resides needs to be added to the Apigee instance. |

### Cause 1: Missing Private Service Connect Endpoint Project


The project with the configured Private Service Connect endpoint is not included in the consumer accept list for the Apigee instance.

#### Diagnosis

1. Find the Apigee service attachment information from the endpoint configuration in the customer consumer project.
2. Check if the consumer project is added to the consumer accept list for the Apigee instance. This can be done through the management API or the Console UI.

#### API Example

The following output does not include the consumer project in the `consumerAcceptList`.

Sample command:

```
curl -H "Authorization: Bearer $TOKEN" "https://apigee.googleapis.com/v1/organizations/$ORG_NAME/instances"
```


Where <var translate="no">ORG_NAME</var> is the ID of your Apigee organization.

Sample output:

```
{
  "instances": [
    {
      "name": "apigee-dev-us-central1-instance",
      "location": "us-central1",
      "host": "10.71.132.2",
      "port": "443",
      "createdAt": "1746546423661",
      "lastModifiedAt": "1747937301425",
      "state": "ACTIVE",
      "peeringCidrRange": "SLASH_22",
      "runtimeVersion": "1-15-0-apigee-4",
      "ipRange": "10.71.132.0/22,10.71.136.0/28",
      "consumerAcceptList": [
        "prj-example-dev"
      ],
      "serviceAttachment": "projects/a1b2c3d4e5f6g7h8ip-tp/regions/us-central1/serviceAttachments/apigee-us-central1-7xxw",
      "accessLoggingConfig": {
        "enabled": true
      }
    }
  ]
}

```

#### Resolution


Follow the [Northbound networking with Private Service Connect](https://docs.cloud.google.com/apigee/docs/api-platform/system-administration/northbound-networking-psc.md.txt#updating-the-consumer-accept-list-for-an-apigee-instance) documentation and use either the Apigee UI or the Management API to update the Apigee instance's `consumerAcceptList` with the new endpoint group project.